﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ChatSystem
{
    public static class GeneralRoutines
    {
        #region Library-Wide Constants

        public const string DEFAULT_CHAT_SERVER = "localhost";
        public const int DEFAULT_SERVER_PORT = 8008;

        #endregion

        #region Library-Wide Static Routines

        /// <summary>
        /// Return MaxLen portion of string, truncating with ... if needed
        /// </summary>
        /// <param name="aValue"></param>
        /// <param name="aMaxLen"></param>
        /// <returns></returns>
        public static string ShortString(string aValue, int aMaxLen)
        {
            if (aValue.Length <= aMaxLen)
                return aValue;
            else
                return aValue.Substring(0, aMaxLen - 3)+"...";
        }

        #endregion
    }
}
