﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NLog;

namespace ChatSystem
{
    public static class Utility
    {
        #region Constants

        // Effectively a constant
        private static Logger logger = LogManager.GetCurrentClassLogger();

        #endregion

        #region Global Variables

        // All our current clients
        public static ChatUserList mChatUsers;

        #endregion

        #region Common Routines

        /// <summary>
        /// Write to both Console and Nlog(lvl)
        /// </summary>
        /// <param name="aLvl"></param>
        /// <param name="aText"></param>
        public static void ConsoleLog(LogLevel aLvl, string aText)
        {
            logger.Log(aLvl, aText);
            Console.WriteLine(aText);
        }

        #endregion
    }
}
